Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## opencard.opt.applet
Class CardState

    java.lang.Object
      |
      +--opencard.opt.applet.CardState

public class CardState
extends java.lang.Object

Encapsulates the state of a multi-applicative card. All instances of the class `BasicAppletCardService` associated with the same physical card share a common state object to ensure a consistent view.

Since:
  OCF1.2

Field Summary
`protected AppletID` | `selectedAppletID_` The application identifier of the currently selected applet.

Constructor Summary
`protected` | `CardState()` Create a JavaCard state object.

Method Summary
`AppletID` | `getSelectedAppletID()` Gets the Application Identifier of the currently selected Applet.
`AppletID` | `setSelectedAppletID(AppletID newAppletID)` Sets the Application Identifier of the currently selected card applet.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### selectedAppletID_

    protected AppletID selectedAppletID_

  The application identifier of the currently selected applet.

Constructor Detail

### CardState

    protected CardState()

  Create a JavaCard state object.

Method Detail

### getSelectedAppletID

    public AppletID getSelectedAppletID()

  Gets the Application Identifier of the currently selected Applet.
  Returns:
    application ID of selected Applet

### setSelectedAppletID

    public AppletID setSelectedAppletID(AppletID newAppletID)

  Sets the Application Identifier of the currently selected card applet.
  Parameters:
    `applicationID` - The application ID of new selected card applet.
  Returns:
    The applet ID of the previously selected applet.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD